function q = obj(nn,tn,n,supp,theta)
% nn = number of x_i = x_j for sample
% tn = tau of size n
% n = sample size
% supp = the support of x
% theta = point of evaluation

t = size(supp,1);

	% objective function
	q = 0;
	for i = 1:t
	    q = q + nn(i,1) * (max((tn(i,1) - supp(i,:)*theta),0)^2 + min((tn(i,2) - supp(i,:)*theta),0)^2);
	end
	q = -q/n;

end